{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

# pour que ça marche
# sudo rmmod dvb_usb_rtl28xxu

# lecture radio FM
# rtl_fm -f 96.9e6 -M wbfm -s 440000 -r 44100 - | aplay -r 44100 -f S16_LE
# rtl_fm -f 96.95e6 -M wbfm -s 441000 -r 44100 - | aplay -r 44100 -f S16_LE -t raw -c 1
# rtl_fm -f 96.95e6 -M wbfm -s 441000 -r 44100 -E deemp - |pv| aplay -r 44100 -f S16_LE -t raw -c 1

  # Paquets
  environment.systemPackages = with pkgs; [
    ## TERMINAL
    rtl-sdr       # Turns your Realtek RTL2832 based DVB dongle into a SDR receiver

    ## GUI
    #gnuradio
    gnuradio-with-packages

    ## A Trier
    gnss-sdr    # Global Navigation Satellite Systems software-defined receiver
    #gnuradio    # Software Defined Radio (SDR) software
    #gnuradio-osmosdr  # Gnuradio block for OsmoSDR and rtl-sdr
    gqrx          # GUI
    inspectrum    # Tool for analysing captured signals from sdr receivers
    kalibrate-rtl # Calculate local oscillator frequency offset in RTL-SDR devices


    # Inutile
    #hackrf        # An open source SDR platform

  ];

  nixpkgs.config.packageOverrides = pkgs: {
    gnuradio-with-packages = pkgs.gnuradio-with-packages.override {
      extraPackages = with pkgs; [
        gnuradio-ais
        gnuradio-gsm
        gnuradio-nacl
        gnuradio-osmosdr
        gnuradio-rds
      ];
    };
  };
}
